Bug 1162711 - Non blocking mode for writes is broken
Summary: Non blocking mode for writes is broken
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libtirpc
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Steve Dickson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1162714
TreeView+ depends on / blocked
 
Reported: 2014-11-11 14:17 UTC by Steve Dickson
Modified: 2014-11-18 12:10 UTC (History)
2 users (show)

Fixed In Version: libtirpc-0.2.5-1.0.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1162714 (view as bug list)
Environment:
Last Closed: 2014-11-18 12:10:53 UTC


Attachments (Terms of Use)
reproducer (2.42 KB, text/plain)
2014-11-11 14:17 UTC, Steve Dickson
no flags Details

Description Steve Dickson 2014-11-11 14:17:18 UTC
Created attachment 956295 [details]
reproducer

Description of problem:
commit a4fa582908b9c63957240cb0cb68b59d56244ef5
Author: Bodo Stroesser <bstroesser@ts.fujitsu.com>
Date:   Thu Nov 6 13:26:00 2014 -0500

    write_vc: fix write retry loop for nonblocking mode
    
    This is a simple fix for the write retry loop that is used on
    non-blocking connections if write() failed with -EAGAIN.
    
    Additionally it removes a redundant if () {}
    
    Erroneously at each cycle of the loop the length of the data
    to send is incremented and the buffer pointer is decremented.
    Thus, it might happen that:
    * the application crashes
    * data from the memory before the buffer is sent
    
    Signed-off-by: Bodo Stroesser <bstroesser@ts.fujitsu.com>
    Signed-off-by: Steve Dickson <steved@redhat.com>


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Fedora Update System 2014-11-12 13:53:27 UTC
libtirpc-0.2.5-1.0.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/libtirpc-0.2.5-1.0.fc21

Comment 2 Fedora Update System 2014-11-13 18:15:53 UTC
Package libtirpc-0.2.5-1.0.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libtirpc-0.2.5-1.0.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-14917/libtirpc-0.2.5-1.0.fc21
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2014-11-18 12:10:53 UTC
libtirpc-0.2.5-1.0.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.